/**
 * Main 部件模型
 *
 * @export
 * @class MainModel
 */
export default class MainModel {

	/**
	 * 是否是实体数据导出
	 *
	 * @returns {any[]}
	 * @memberof MainGridMode
	 */
	public isDEExport: boolean = false;

	/**
	 * 获取数据项集合
	 *
	 * @returns {any[]}
	 * @memberof MainGridMode
	 */
	public getDataItems(): any[] {
    if(this.isDEExport){
		  return [
      ]
    }else{
		  return [
        {
          name: 'endtime',
          prop: 'endtime',
          dataType: 'DATE',
        },
        {
          name: 'workorganization',
          prop: 'workorganization',
          dataType: 'TEXT',
        },
        {
          name: 'hremployeeid',
          prop: 'hremployeeid',
          dataType: 'PICKUP',
        },
        {
          name: 'post',
          prop: 'post',
          dataType: 'TEXT',
        },
        {
          name: 'workdepartment',
          prop: 'workdepartment',
          dataType: 'TEXT',
        },
        {
          name: 'duty',
          prop: 'duty',
          dataType: 'TEXT',
        },
        {
          name: 'begintime',
          prop: 'begintime',
          dataType: 'DATE',
        },
        {
          name: 'mainwork',
          prop: 'mainwork',
          dataType: 'YESNO',
        },
        {
          name: 'srfmajortext',
          prop: 'hrworkrecordname',
          dataType: 'TEXT',
        },
        {
          name: 'srfdataaccaction',
          prop: 'hrworkrecordid',
          dataType: 'GUID',
        },
        {
          name: 'srfkey',
          prop: 'hrworkrecordid',
          dataType: 'GUID',
          isEditable:true
        },
        {
          name: 'hrworkrecord',
          prop: 'hrworkrecordid',
        },

        {
          name:'size',
          prop:'size'
        },
        {
          name:'query',
          prop:'query'
        },
        {
          name:'filter',
          prop:'filter'
        },
        {
          name:'page',
          prop:'page'
        },
        {
          name:'sort',
          prop:'sort'
        },
        {
          name:'srfparentdata',
          prop:'srfparentdata'
        },
        // 前端新增修改标识，新增为"0",修改为"1"或未设值
        {
          name: 'srffrontuf',
          prop: 'srffrontuf',
          dataType: 'TEXT',
        },
      ]
    }
  }

}